Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(35)

Issue 23445019: Add MarkupSafe library to third_party (dependency for Jinja2 2.7) (Closed)

Created:
5 years, 11 months ago by Nils Barth (inactive)
Modified:
5 years, 11 months ago
Reviewers:
Daniel Berlin, cpu_(ooo_6.6-7.5), open-source-third-party-reviews, darin (slow to review), security, jschuh
CC:
chromium-reviews, haraken, kouhei (in TOK), Timothy Loh
Visibility:
Public.

Description

Add MarkupSafe library to third_party (dependency for Jinja2 2.7) As of version 2.7 Jinja2 depends on the MarkupSafe module. http://jinja.pocoo.org/docs/intro/#markupsafe-dependency We are already using Jinja2 v2.6 as a template engine for code generation in Blink, and we'd like to upgrade it to v2.7.1, for various improvements. MarkupSafe used to be part of Jinja2, but as of v2.7 has been factored into a separate module, thus we need to add it separately. For reference, MarkupSafe (and Jinja2) are also included as third-party libraries in Google App Engine. https://developers.google.com/appengine/docs/python/tools/libraries27 Blocking: Issue 23506004: Update Jinja2 (Python template library) to 2.7.1 + add OWNERS https://codereview.chromium.org/23506004/ Source: https://pypi.python.org/packages/source/M/MarkupSafe/MarkupSafe-0.18.tar.gz MD5: f8d252fd05371e51dec2fe9a36890687 SHA-512: 0438ddf0fdab465c40d9afba8c14ad346be0868df654c11130d05e329992d456 a9bc278551970cbd09244a29c77213885d0c363c951b0cfd4d9aa95b248ecff5 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=221578

Patch Set 1 #

Patch Set 2 : Fix typo #

Unified diffs Side-by-side diffs Delta from patch set Stats (+513 lines, -46 lines) Patch
A third_party/markupsafe/AUTHORS View 1 chunk +13 lines, -0 lines 0 comments Download
A third_party/markupsafe/LICENSE View 1 chunk +33 lines, -0 lines 0 comments Download
A third_party/markupsafe/MarkupSafe-0.18.tar.gz.md5 View 1 chunk +1 line, -0 lines 0 comments Download
A third_party/markupsafe/MarkupSafe-0.18.tar.gz.sha512 View 1 chunk +1 line, -0 lines 0 comments Download
A + third_party/markupsafe/OWNERS View 1 chunk +1 line, -0 lines 0 comments Download
A third_party/markupsafe/README.chromium View 1 chunk +24 lines, -0 lines 0 comments Download
A + third_party/markupsafe/__init__.py View 8 chunks +52 lines, -43 lines 0 comments Download
A third_party/markupsafe/_compat.py View 1 chunk +24 lines, -0 lines 0 comments Download
A + third_party/markupsafe/_constants.py View 0 chunks +-1 lines, --1 lines 0 comments Download
A + third_party/markupsafe/_native.py View 3 chunks +5 lines, -4 lines 0 comments Download
A third_party/markupsafe/_speedups.c View 1 chunk +239 lines, -0 lines 0 comments Download
A third_party/markupsafe/get_markupsafe.sh View 1 1 chunk +121 lines, -0 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
Nils Barth (inactive)
Hiyas, Adding a new third_party library, which has been factored out of a library we're ...
5 years, 11 months ago (2013-08-30 05:04:03 UTC) #1
Nils Barth (inactive)
ping: review? (new third_party library, refactored from existing) * OWNERS (Carlos, Darin): is this ok? ...
5 years, 11 months ago (2013-09-05 01:45:04 UTC) #2
Daniel Berlin
Lgtm for open source Sent from my mobile. Expect terse, misspelled e-mail On Aug 29, ...
5 years, 11 months ago (2013-09-05 01:46:03 UTC) #3
darin (slow to review)
OK, LGTM
5 years, 11 months ago (2013-09-05 06:16:16 UTC) #4
jschuh
lgtm on security
5 years, 11 months ago (2013-09-05 13:06:52 UTC) #5
cpu_(ooo_6.6-7.5)
lgtm
5 years, 11 months ago (2013-09-05 17:19:15 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/nbarth@chromium.org/23445019/4001
5 years, 11 months ago (2013-09-06 00:50:47 UTC) #7
commit-bot: I haz the power
5 years, 11 months ago (2013-09-06 05:20:03 UTC) #8
Message was sent while issue was closed.
Change committed as 221578

Powered by Google App Engine
This is Rietveld 408576698